package com.yeejoin.amos.boot.module.ys.api.service;

import com.yeejoin.amos.boot.module.ys.api.dto.YsEmergencyExpertsDto;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import org.springframework.web.multipart.MultipartFile;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 应急专家库接口类
 *
 * @author system_generator
 * @date 2024-09-24
 */
public interface IYsEmergencyExpertsService {

    Boolean saveOrUpdate(Map<String, Object> model, AgencyUserModel userModel);

    Boolean deleteById(String sequenceNbr);

    YsEmergencyExpertsDto queryBySequenceNbr(String sequenceNbr);

    ResponseModel<Object> expertDataImport(MultipartFile file, AgencyUserModel userModel);

    void export(HttpServletResponse response, List<String> ids);
}
